package com.tanpu.community.dao.mapper.community;

import com.tanpu.community.dao.entity.community.VisitSummaryEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import java.util.List;

/**
 * <p>
 * 浏览记录 Mapper 接口
 * </p>
 *
 * @author xudong
 * @since 2021-07-22
 */
public interface VisitSummaryMapper extends BaseMapper<VisitSummaryEntity> {
    @Select("select * from visit_summary where ident=#{ident}")
    VisitSummaryEntity selectByIdent(@Param("ident") String ident);

    @Update("update visit_summary set duration=duration+#{duration} where ident=#{ident}")
    void updateDurByIdent(@Param("duration") Integer dur, @Param("ident") String ident);

    @Select("select ref_id from visit_summary where visitor_id=#{visitorId} and ref_id in (#{refIds})")
    List<String> selectRefIdByUserId(@Param("visitorId") String visitorId, @Param("refIds") String refIds);
}
